summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBo Ørsted Andresen <zlin@gentoo.org>2008-05-15 13:27:40 +0000
committerBo Ørsted Andresen <zlin@gentoo.org>2008-05-15 13:27:40 +0000
commit5d8f56ca1b975df01fb1ad061614f6fead1dd19e (patch)
tree0f2056a64891bdc34cced352f640e9a51e93dce4 /eclass/subversion.eclass
parentStable on ppc64; bug #221063 (diff)
downloadhistorical-5d8f56ca1b975df01fb1ad061614f6fead1dd19e.tar.gz
historical-5d8f56ca1b975df01fb1ad061614f6fead1dd19e.tar.bz2
historical-5d8f56ca1b975df01fb1ad061614f6fead1dd19e.zip
Print checkout dir when svn update fails.
Diffstat (limited to 'eclass/subversion.eclass')
-rw-r--r--eclass/subversion.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index e6d9a0c170ef..31afd93b35cb 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.58 2008/04/30 18:57:10 hollow Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.59 2008/05/15 13:27:40 zlin Exp $
# @ECLASS: subversion.eclass
# @MAINTAINER:
@@ -222,7 +222,7 @@ subversion_fetch() {
mkdir -p "${ESVN_PROJECT}" || die "${ESVN}: can't mkdir ${ESVN_PROJECT}."
cd "${ESVN_PROJECT}" || die "${ESVN}: can't chdir to ${ESVN_PROJECT}"
- ${ESVN_FETCH_CMD} ${options} "${repo_uri}" || die "${ESVN}: can't fetch from ${repo_uri}."
+ ${ESVN_FETCH_CMD} ${options} "${repo_uri}" || die "${ESVN}: can't fetch to ${wc_path} from ${repo_uri}."
elif [[ -n ${ESVN_OFFLINE} ]]; then
subversion_wc_info "${repo_uri}" || die "${ESVN}: unknown problem occurred while accessing working copy."
@@ -253,7 +253,7 @@ subversion_fetch() {
debug-print "${FUNCNAME}: ${ESVN_SWITCH_CMD} ${options} ${repo_uri}"
cd "${wc_path}" || die "${ESVN}: can't chdir to ${wc_path}"
- ${ESVN_SWITCH_CMD} ${options} ${repo_uri} || die "${ESVN}: can't update from ${repo_uri}"
+ ${ESVN_SWITCH_CMD} ${options} ${repo_uri} || die "${ESVN}: can't update ${wc_path} from ${repo_uri}"
else
# update working copy
einfo "subversion update start -->"
@@ -262,7 +262,7 @@ subversion_fetch() {
debug-print "${FUNCNAME}: ${ESVN_UPDATE_CMD} ${options}"
cd "${wc_path}" || die "${ESVN}: can't chdir to ${wc_path}"
- ${ESVN_UPDATE_CMD} ${options} || die "${ESVN}: can't update from ${repo_uri}."
+ ${ESVN_UPDATE_CMD} ${options} || die "${ESVN}: can't update ${wc_path} from ${repo_uri}."
fi
fi
fi